.logo {
    flex-shrink: 0;
    display: flex;
    margin-right: auto;
    @include md {
        display: block;
    }
    @media screen and (max-width: 378px) {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    &::before {
        content: "";
        position: absolute;
        top: 50%;
        right: calc(100% + 15px);
        width: 100vw;
        height: 1px;
        background-color: white;
    }

    &__image {
        @include hide-text;
        margin-right: 15px;
        display: block;
        width: 189px;
        height: 49px;
        background-image: url(../img/ui/logo-header.svg);
        background-position: left center;
        background-repeat: no-repeat;
        background-size: contain;
        @include md {
            width: 140px;
            height: 36px;
        }
        @include xs {
            height: 30px;
        }
        @media screen and (max-width: 378px) {
            margin-right: 5px;
        }
    }

    &__desc {
        margin-top: 8px;
        padding-top: 4px;
        padding-bottom: 4px;
        padding-left: 15px;
        align-self: flex-start;
        border-left: 1px solid white;
        font-family: $font-root;
        font-weight: 500;
        font-size: 12px;
        line-height: (17/12);
        letter-spacing: 0.031em;
        width: 160px;
        @include md {
            width: 100%;
            padding-bottom: 0px;
            border: none;
            padding-left: 0px;
            margin-top: 0px;
            br {
                display: none;
            }
        }
        @media screen and (max-width: 378px) {
            display: none;
        }
    }
}

.header-banner {
    background-color: white;
    font-family: $font-geometria;
    font-size: 14px;
    font-weight: 500;
    line-height: (40/14);
    color: black;
    max-height: 40px;
    overflow: hidden;
    @include md {
        max-height: 100px;
        text-align: center;
        font-size: 12px;
        line-height: (17/12);
        padding: 10px 0px;
    }
    @include sm {
        padding: 5px 0;
    }

    &__container {
        display: flex;
        height: 40px;
        @include lg {
            max-width: 100%;
        }
        @include md {
            display: block;
            height: auto;
        }
    }

    &__text {
        margin: 0;
        margin-right: auto;
        letter-spacing: 0.01em;
    }

    &__countdown {
        flex-shrink: 0;
        margin-left: 30px;
        padding-left: 26px;
        background-image: url(../img/ui/ico-timer.svg);
        background-repeat: no-repeat;
        background-position: left center;
        @include md {
            display: inline-block;
            margin-left: 0px;
        }
    }

    &__button.button {
        flex-shrink: 0;
        margin-left: 20px;
        padding-left: 21px;
        padding-right: 17px;
        font-size: 15px;
        letter-spacing: 0.03em;
        border-radius: 0;
        @include md {
            background-color: transparent;
            color: $pink;
            padding: 0px;
            font-size: 14px;
            line-height: (20/14);
        }
    }
}

.header {
    color: white;
    background-color: $header-light-purple;

    ul {
        list-style: none;
    }

    a:not(.button) {
        color: white;
    }

    &__main {
        padding-top: 16px;
        padding-bottom: 20px;
        background-image: url(../img/ui/header-dots.png);
        background-repeat: no-repeat;
        background-position: 0 0;
        @include md {
            background-size: auto 100%;
        }
        @include sm {
            padding-bottom: 16px;
        }
        @include xs {
            padding-bottom: 10px;
            padding-top: 10px;
        }

        .header-transparent & {
            background-image: none;
        }
    }

    &__container {
        display: flex;
    }

    &__logo {
        &::before {
            top: 27px;
        }

        // &-desc {
        //     font-size: 12px;
        //     line-height: (17/12);
        //     letter-spacing: 0.031em;
        //     width: 160px;
        //     @include md {
        //         width: 100%;
        //         padding-bottom: 0px;
        //     }
        // }
    }

    &__mobile__nav {
        appearance: none;
        height: 26px;
        align-self: center;
        padding: 0px;
        background-color: transparent;
        border-radius: 0px;
        border: none;
        cursor: pointer;
        width: 32px;
        margin-left: 15px;
        display: none;
        @include sm {
            display: block;
        }

        span,
        &:before,
        &:after {
            width: 32px;
            height: 2px;
            border-radius: 100px;
            background-color: white;
            content: " ";
            display: block;
            transform-origin: 0% 0%;
            transition: transform .3s ease, opacity .2s ease;
            position: absolute;
            left: 0;
        }

        &:before {
            top: 0;
        }

        span {
            top: 12px;
        }

        &:after {
            bottom: 0px;
        }

        &:hover {
            &:before {
                transform: translateY(-2px);
            }
            &:after {
                transform: translateY(2px);
            }
        }

        &--opened {
            span {
                opacity: 0;
            }
            &:before {
                transform: rotate(45deg);
            }
            &:after {
                transform: rotate(-45deg) translate(0px, -1px);
            }
        }
    }

    &__phones {
        align-self: center;
        flex-shrink: 0;
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        align-items: flex-end;
        align-content: flex-end;
        max-height: 42px;
        max-width: 380px;
        margin-left: auto;
        margin-top: 3px;
        font-family: $font-root;
        font-size: 15px;
        font-weight: 700;
        line-height: (21/15);
        overflow: hidden;

        @include md {
            margin-top: 0px;
        }
        @include sm {
            font-size: 14px;
        }
        @media screen and (max-width: 378px) {
            font-size: 12px;
        }

        li {
            margin-left: 15px;
            @media screen and (max-width: 378px) {
                margin-left: 5px;
            }
        }
    }

    &__buttons {
        margin-top: 3px;
        align-self: center;
        flex-shrink: 0;
        margin-left: 15px;
        height: 38px;
        text-align: right;
        overflow: hidden;

        @include sm {
            display: none;
            position: absolute;
            bottom: 30px;
            left: 30px;
            margin: 0;
            .button,
            .button:hover {
                background-color: $pink !important;
                color: white !important;
            }
        }

        .button:not(:first-child) {
            margin-left: 10px;
        }

    }

    &__lang-switch {
        align-self: center;
        margin-top: 2px;
        display: flex;
        flex-shrink: 0;
        margin-left: 20px;
        height: 37px;

        @include sm {
            position: absolute;
            display: none;
            bottom: 30px;
            list-style: none;
            font-size: 0px;
            margin: 0;
            left: 120px;
            li {
                display: inline-block;
                font-size: 12px;
                a {
                    border-color: black;
                    color: black;
                    &.current {
                        background-color: black;
                        color: white !important;
                    }
                }
            }
        }

        li:not(:first-child) {
            margin-left: 8px;
        }

        a {
            display: inline-block;
            width: 37px;
            height: 37px;
            font-size: 11px;
            font-weight: 700;
            line-height: (37/11);
            letter-spacing: -0.01em;
            text-align: center;
            text-transform: uppercase;
            text-decoration: none;
            border: 1px solid white;
            border-radius: 50%;

            &.current {
                background-color: white;
                color: black !important;
            }

            &:hover,
            &:focus {
                opacity: 0.75;
            }
        }
    }
}

.header__nav {
    font-family: $font-root;
    font-size: 15px;
    font-weight: 700;
    line-height: (19/15);
    background-color: $header-dark-purple;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
    overflow: hidden;

    &-list {
        display: flex;
        margin-left: -24px;

        @include sm {
            display: block;
            background-color: #f6f6f6;
            margin-left: 0px;
            list-style: none;
            padding: 30px;
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 100px;
            overflow: auto;
            -webkit-overflow-scrolling: touch;
        }

        > li {
            margin: 10px 24px 9px;
            white-space: nowrap;

            &:not(:first-child)::before {
                content: "";
                position: absolute;
                left: -24px;
                top: 50%;
                width: 2px;
                height: 2px;
                background-color: $pink;
                @include sm {
                    display: none;
                }
            }

            @include sm {
                margin: 0px 0px 20px;
                font-weight: 500;
            }
        }
    }
}

/*
*   Цветовые модификации header
*/
.header {
    &--white {
        background-color: $bg-light;
        color: $header-purple;

        .header-banner__button {
            background-color: $header-purple ;
        }

        a:not(.button) {
            color: $header-purple;
        }

        .header__logo {
            &-ico {
                background-image: url(../img/ui/logo-header-purple.svg);
            }
            &-desc {
                border-left-color: $header-purple;
            }
        }

        .header__buttons .button {
            @extend .button--pink;
        }

        .header__lang-switch {
            a {
                border-color: $header-purple;

                &.current {
                    background-color: $header-purple;
                    color: white;
                }
            }
        }

        .header__nav {
            border-color: transparent;
            background-color: $header-purple;

            li::before {
                background-color: white;
            }

            a {
                color: white;
            }
        }
    }

    &--blue {
        background-color: $header-dark-blue;

        .header-banner__button {
            @extend .button--purple;
        }

        .header__buttons .button {
            @extend .button--pink;
        }

        .header__lang-switch {
            a.current {
                color: $header-dark-blue;
            }
        }

        .header__nav {
            border-color: transparent;
            background-color: $header-light-blue;
            
            a {
                color: #452990;
            }
        }
    }

    &--light-purple {
        background-color: $header-light-purple;

        .header__nav {
            border-color: transparent;
            background-color: $header-dark-purple;
        }
    }
    
    &--dark-purple {
        background-color: $header-dark-purple;

        .header__nav {
            border-color: transparent;
            background-color: $header-light-purple;
        }
    }

    .header-transparent & {
        background-color: transparent;
        z-index: 2;
        position: absolute;
        width: 100%;
        left: 0;
        top: 0;
        z-index: 400;

        .header__nav {
            border-color: rgba($color: white, $alpha: 0.3);
            background-color: transparent;
        }
    }


    .header-transparent--dark & {
        color: black;
        a:not(.button) {
            color: black;
            font-weight: 500;
        }
        .header__nav {
            border-color: rgba(0,0,0,.2);
        }
        .header__lang-switch a {
            border-color: black;
            &.current {
                background-color: black;
                color: #fff !important;
            }
        }
        .button {
            background-color: black;
            color: white;
        }

        .logo__image {
            background-image: url(../img/ui/logo-header-purple.svg);
        }

        .logo__desc {
            border-left-color: black;
        }
    }

}


.overlay {
    visibility: hidden;
    opacity: 0;
    background-color: rgba(darken($dark-purple, 10%), .9);
    position: fixed;
    top: 0;
    right: 0;
    height: 100%;
    z-index: 999;
    width: 100%;
    transition: all .4s ease;
    &--opened {
        visibility: visible;
        opacity: 1;
    }
}

.mobile-nav {
    display: none;
    width: 80%;
    max-width: 400px;
    background-color: white;
    position: fixed;
    top: 0;
    right: 0;
    height: 100%;
    z-index: 1000;
    transition: transform .5s ease;
    transform: translateX(102%);
    padding-bottom: 100px;

    .header__lang-switch {
        display: block;
    }

    .header__buttons {
        display: block;
    }

    @include sm {
        display: block;    
    }

    &--opened {
        transform: translateX(0%);
        .mobile-nav__close {
            opacity: 1;
            visibility: visible;
            transform: none;
        }
    }

    &__close {
        color: #fff;
        width: 40px;
        height: 40px;
        border-radius: 50%;
        border: 1px solid #fff;
        background-color: transparent;
        position: absolute;
        left: -65px;
        top: 30px;
        z-index: 1000;
        -webkit-appearance: none;
        font-size: 24px;
        line-height: 0px;
        padding: 0px;
        display: block;
        text-align: center;
        cursor: pointer;
        outline: none;
        opacity: 0;
        transform: translateX(50px);
        transition: transform .3s ease, opacity .3s ease;
        visibility: hidden;
        &:hover {
            background-color: white;
            color: black;
        }
    }
}